Toggle Global Feature Flag
Toggle the global feature flags of a merchant based on a given merchant_id and feature_flag.
Available Feature Flags
Sync Taxonomy - sync_taxonomy
When this value is true the merchants taxonomy data will be included during catalog syncs.
Default: true
Sync Product Metadata - sync_metadata
When this value is true the merchants Product metadata will be included during catalog syncs. Note: this does not include Sku metadata, that must be enabled separately.
Default: false
Sync Sku Metadata - sync_sku_metadata
When this value is true the merchants Sku metadata will be included during catalog syncs.
Default: false
Sync Collections - sync_collections
When this value is true the merchants collection data will be synced. When collection syncs are enabled an initial sync will be performed immediately then additional re-syncs will occur every 24 hours. This feature is currently limited to SHOPIFY.
Default: false
Sync Product Shipping Data - sync_offer_shipping\
When this value is true any per-product shipping data from the merchants system will be synced. Once this feature has been toggled on, the merchant will go into a queue for the syncing of their shipping data. This feature is currently limited to SHOPIFY.
Default: false
Use Contextual Prices - use_contextual_prices
When this value is true any explicit, per-currency prices, that are provided by the merchant will be used instead of prices that are based on currency exchange rates. This feature is currently limited to SHOPIFY, BIGCOMMERCE, and COMMERCETOOLS. Contextual prices are only supported for apps using Estimate Order and Direct Order Submission.
Default: false
Request body for toggling the boolean value of a setting.
Is the setting enabled.
default response
A Container for Merchant Configuration info
When true, prevents any changes from being made to the merchant configuration.
PUT /v1/merchants/{merchant_id}/configuration/global_feature_flags/{feature_flag} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"enabled": true
}default response
{
"global_feature_flags": {
"sync_metadata": false,
"sync_collections": true,
"sync_sku_metadata": true
},
"platform_feature_flags": {
"filter_by_collections": false,
"use_custom_shipping_rates": true
},
"orders_config": {
"custom_tags": [
"tag1",
"tag2"
]
}
}Last updated
Was this helpful?